TEMPLATE = app

include( ../config.pro )
INCLUDEPATH += ..

LIBS += -L..
unix:LIBS += -lAttalServer
unix:LIBS += -lAttalCommon

win32:LIBS += -lAttalServer8
win32:LIBS += -lAttalCommon8

SOURCES += aiInterface.cpp
SOURCES += analyst.cpp
SOURCES += aiLord.cpp
SOURCES += main.cpp

HEADERS += aiInterface.h
HEADERS += analyst.h
HEADERS += aiLord.h

TRANSLATIONS += ../i18n/de/attal_ai_de.ts
TRANSLATIONS += ../i18n/fr/attal_ai_fr.ts
TRANSLATIONS += ../i18n/ru/attal_ai_ru.ts
TRANSLATIONS += ../i18n/it/attal_ai_it.ts

DESTDIR = ..
OBJECTS_DIR=./obj
MOC_DIR=./moc

TARGET = attal-ai 
win32 {
	contains( CONFIG, debug ) {
		CONFIG += console
	}
}
QT +=  xml network qt3support

unix:target.path = /usr/local/bin/
unix:INSTALLS += target

