#
# config.pro
# File included by any Makefile.pro
#
# if you are a developper (using cvs), don't change this file but
# create a devel.pro file with your options.
#
# Otherwise:
#
# Uncomment 'CONFIG += staticlib' if you want static libs and static link
# Comment 'CONFIG -= debug' if you do want debugging symbols to be added (may be add next line "CONFIG += debug")
# Uncomment 'DEFINES += WITH_SOUND' if you want to enable sound support (need SDL and SDL_mixer installed)

# If you are using a version of qt with windows-style as plugin, you may
# try to add these 2 lines 'DEFINES += QT_PLUGIN' and 'LIBS += -lqwindowsstyle' (maybe it is not enough, I do not know

exists( devel.pro ) {
	include( devel.pro )
} else {

	CONFIG += qt
	CONFIG += warn_on
	CONFIG -= debug
	#CONFIG += debug
	#CONFIG += staticlib

	DEFINES += WITH_SOUND
	
	# For sound under windows, enter here the path to SDL root dir and uncomment line
	#win32:SDL_DIR = <ENTER PATH>
}
