TEMPLATE = app
include( ../config.pro )

INCLUDEPATH += ..
LIBS += -L..
unix:LIBS += -lAttalServer
unix:LIBS += -lAttalCommon

win32:LIBS += -lAttalServer8
win32:LIBS += -lAttalCommon8

win32:DEFINE += WIN32

win32 {
	contains( CONFIG, debug ) {
		CONFIG += console
	}
}


SOURCES += displayScenarii.cpp
SOURCES += engine.cpp
SOURCES += main.cpp
SOURCES += questionManager.cpp
SOURCES += scenarioDescription.cpp
SOURCES += serverInterface.cpp
SOURCES += tavernManager.cpp

HEADERS += displayScenarii.h
HEADERS += engine.h
HEADERS += questionManager.h
HEADERS += serverInterface.h
HEADERS += scenarioDescription.h
HEADERS += tavernManager.h

TRANSLATIONS += ../i18n/de/attal_server_de.ts
TRANSLATIONS += ../i18n/fr/attal_server_fr.ts
TRANSLATIONS += ../i18n/ru/attal_server_ru.ts
TRANSLATIONS += ../i18n/it/attal_server_it.ts

DESTDIR = ..

OBJECTS_DIR=./obj
MOC_DIR=./moc

TARGET = attal-server

unix:target.path = /usr/local/bin/
unix:INSTALLS += target

#The following line was inserted by qt3to4
QT += network xml qt3support 

